RK-A2 - Feature #3627

Add function get-file that gets a file from gcs to rk2-gcf

06/25/2024 04:13 AM - Ram Kordale

Status: Review

Priority: High

Assignee: Ayanava Karmakar
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

06/25/2024

100%
0.35 hour
0.00 hour

Description

Argument:
"file":"<file>"

get <file> from <bucket> where <bucket> is "<env>-files" where <env> is "edutestdev" or "edutestqa” or "rapidken" depending upon

the cloud function's environment. These buckets are available in the respective environments.

History

#1 - 06/25/2024 04:25 AM - Shubham Boke

- Status changed from New to In Progress

#2 - 06/25/2024 05:59 AM - Shubham Boke
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#3 - 06/25/2024 05:59 AM - Shubham Boke
- Status changed from Resolved to Review

- Assignee changed from Shubham Boke to Dewakar Chaubey

#4 - 06/25/2024 08:44 AM - Ram Kordale
- Description updated
- Status changed from Review to Reopened

- Assignee changed from Dewakar Chaubey to Shubham Boke

#5 - 06/25/2024 08:45 AM - Shubham Boke

- Status changed from Reopened to In Progress

#6 - 06/25/2024 10:01 AM - Shubham Boke

- Status changed from In Progress to Resolved

#7 - 06/25/2024 10:01 AM - Shubham Boke
- Status changed from Resolved to Review

- Assignee changed from Shubham Boke to Dewakar Chaubey

#8 - 06/26/2024 05:03 AM - Dewakar Chaubey

- Status changed from Review to Reopened

#9 - 06/26/2024 05:04 AM - Shubham Boke
- Status changed from Reopened to In Progress

- Assignee changed from Dewakar Chaubey to Shubham Boke

#10 - 06/26/2024 06:29 AM - Shubham Boke

- Status changed from In Progress to Resolved
#11 - 06/26/2024 06:29 AM - Shubham Boke
- Status changed from Resolved to Review

- Assignee changed from Shubham Boke to Dewakar Chaubey

#12 - 06/26/2024 06:39 AM - Ram Kordale

- Subject changed from Create a cloud function get-file that gets a file from gcs to Add function get-file that gets a file from gcs to rk2-gcf

#13 - 06/26/2024 06:51 AM - Ram Kordale
- Status changed from Review to Reopened

- Assignee changed from Dewakar Chaubey to Shubham Boke

#14 - 06/26/2024 07:09 AM - Shubham Boke

- Status changed from Reopened to In Progress

#15 - 06/27/2024 06:49 AM - Shubham Boke

- Status changed from In Progress to Resolved

#16 - 06/27/2024 06:49 AM - Shubham Boke
- Status changed from Resolved to Review

- Assignee changed from Shubham Boke to Dewakar Chaubey

#17 - 07/30/2024 01:29 PM - Ram Kordale
- Estimated time set to 0.35 h

#18 - 08/13/2024 07:35 AM - Ram Kordale
- Status changed from Review to Reopened

- Assignee changed from Dewakar Chaubey to Shubham Boke

#19 - 08/29/2024 08:34 AM - Shubham Boke

- Status changed from Reopened to In Progress

#20 - 08/29/2024 08:35 AM - Shubham Boke

- Status changed from In Progress to Resolved

#21 - 08/29/2024 08:35 AM - Shubham Boke
- Status changed from Resolved to Review

- Assignee changed from Shubham Boke to Ayanava Karmakar
